Bug 164474 - yum misprints package names
yum misprints package names
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-28 00:19 EDT by Ralf Corsepius
Modified: 2014-01-21 17:52 EST (History)
2 users (show)

See Also:
Fixed In Version: fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:03:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-07-28 00:19:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
yum is not able to correctly print package names containing certain characters during updates:

gcc-c%2B%2B-4.0.1-4.fc4.i 100% |=========================|  22 kB    00:00
---> Package gcc-c++.i386 0:4.0.1-4.fc4 set to be updated
---> Downloading header for apr-devel to pack into transaction set.


Version-Release number of selected component (if applicable):
yum-2.3.2-7

How reproducible:
Always

Steps to Reproduce:
1. Install an old verstion of gcc-g++
2. yum update


Actual Results:  yum update
...
gcc-c%2B%2B-4.0.1-4.fc4.i 100% |=========================|  22 kB    00:00
---> Package gcc-c++.i386 0:4.0.1-4.fc4 set to be updated
---> Downloading header for apr-devel to pack into transaction set.
...

Note the %2B's in the log above


Expected Results:  Correctly formated message

Additional info:
Comment 1 Seth Vidal 2005-07-28 01:33:47 EDT
it's converting the string before requesting it from the webserver.

hence the printed name.

does this affect functionality at all?
Comment 2 Ralf Corsepius 2005-07-28 01:43:16 EDT
(In reply to comment #1)
> does this affect functionality at all?
AFAICT, this is a minor, cosmetical UI thing. It's "just ugly" and "a bit
confusing", that's all.
Comment 3 Jeremy Katz 2005-09-21 15:29:52 EDT
Does this happen with 2.4.0?
Comment 4 Ralf Corsepius 2005-09-21 21:56:38 EDT
(In reply to comment #3)
> Does this happen with 2.4.0?
No, AFAIS, it doesn't seem to happen anymore with 2.4.0.
Comment 5 Jon Burgess 2005-09-23 18:58:05 EDT
It happens for me with 2.4.0, but doesn't appear to cause me any issues.

[root@shark ~]# rpm -q yum
yum-2.4.0-4

[root@shark ~]# yum --enablerepo=development update gcc-c++ 
...
---> Downloading header for gcc-c++ to pack into transaction set.
gcc-c%2B%2B-4.0.1-14.x86_ 100% |=========================|  28 kB    00:00
Comment 6 Jeremy Katz 2006-04-19 16:03:31 EDT
Should be better with newer python-urlgrabber

Note You need to log in before you can comment on or make changes to this bug.